 %define module	h2

Name:		python-%{module}
Version:	2.4.2
Release:	%mkrel 1
Summary:	HTTP/2 State-Machine based protocol implementation
Group:		Development/Python
License:	MIT
URL:		http://hyper.rtfd.org/
Source0:	https://pypi.io/packages/source/h/h2/%{module}-%{version}.tar.gz
Patch0:		h2-2.3.1-mga-no-python3-enum34.patch
BuildArch:	noarch
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(setuptools)

%description
This module contains a pure-Python implementation of a HTTP/2 protocol stack.
It’s written from the ground up to be embeddable in whatever program
you choose to use, ensuring that you can speak HTTP/2 regardless of
your programming paradigm.

%package -n	python3-%{module}
Summary:	HTTP/2 State-Machine based protocol implementation
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(setuptools)

%description -n	python3-%{module}
This module contains a pure-Python implementation of a HTTP/2 protocol stack.
It’s written from the ground up to be embeddable in whatever program
you choose to use, ensuring that you can speak HTTP/2 regardless of
your programming paradigm.

This is the Python 3 version of the package.

%prep
%setup -q -n %{module}-%{version}
%autopatch -p1

# Remove bundled egg-info
rm -rf %{module}.egg-info

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd

%py2_install

%files
%doc CONTRIBUTORS.rst HISTORY.rst LICENSE README.rst
%{python2_sitelib}/%{module}/
%{python2_sitelib}/%{module}-%{version}-py%{python2_version}.egg-info/

%files -n python3-%{module}
%doc CONTRIBUTORS.rst HISTORY.rst LICENSE README.rst
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info/


%changelog
* Fri Dec 02 2016 daviddavid <daviddavid> 2.4.2-1.mga6
+ Revision: 1071760
- new version: 2.4.2

* Thu May 26 2016 daviddavid <daviddavid> 2.3.1-1.mga6
+ Revision: 1018835
- new version: 2.3.1
- update for new pypi Source URL
- rename and rediff no-python3-enum34 patch

* Thu Apr 21 2016 daviddavid <daviddavid> 2.2.3-1.mga6
+ Revision: 1003952
- new version: 2.2.3

* Sun Apr 10 2016 daviddavid <daviddavid> 2.2.2-1.mga6
+ Revision: 1000134
- initial package python-h2

